Update a Board View
curl --request PUT \
--url https://api.honeycomb.io/1/boards/{boardId}/views/{viewId} \
--header 'Content-Type: application/json' \
--header 'X-Honeycomb-Team: <api-key>' \
--data '
{
"name": "Errors View",
"filters": [
{
"column": "status",
"operation": "=",
"value": "error"
}
]
}
'import requests
url = "https://api.honeycomb.io/1/boards/{boardId}/views/{viewId}"
payload = {
"name": "Errors View",
"filters": [
{
"column": "status",
"operation": "=",
"value": "error"
}
]
}
headers = {
"X-Honeycomb-Team": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Honeycomb-Team': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Errors View',
filters: [{column: 'status', operation: '=', value: 'error'}]
})
};
fetch('https://api.honeycomb.io/1/boards/{boardId}/views/{viewId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "eC_abc123",
"name": "My View",
"filters": [
{
"column": "status",
"operation": "=",
"value": "error"
}
]
}{
"status": 400,
"type": "https://api.honeycomb.io/problems/unparseable",
"title": "The request body could not be parsed.",
"error": "invalid gzip data"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "something went wrong!",
"status": 422,
"type": "https://api.honeycomb.io/problems/validation-failed",
"title": "The provided input is invalid.",
"detail": "<string>",
"instance": "<string>",
"type_detail": [
{
"field": "<string>",
"description": "<string>"
}
]
}{
"error": "Rate Limited"
}{
"error": "<string>"
}Update a Board View
Update a Board View by specifying its ID and full details.
PUT
/
1
/
boards
/
{boardId}
/
views
/
{viewId}
Update a Board View
Authorizations
Authenticate using a Honeycomb Configuration Key.
Pass the Token in the X-Honeycomb-Team header:
X-Honeycomb-Team: 1234567890123456789012
If you created your key using the API, use data.attributes.secret; this is the same value as the Token in the UI.
To learn how to create a Configuration Key, visit Manage Environment API Keys. To learn more about authenticating requests, visit API Authentication.
Path Parameters
The unique identifier (ID) of a Board.
The unique identifier (ID) of a Board View.
Body
application/json
⌘I